# vue3-file-tree

文件树


## vue3-file-tree的安装
##### pnpm 安装
```sh
pnpm add vue3-file-tree
```
##### npm 安装
```sh
npm install vue3-file-tree
```


## vue3-file-tree的使用
##### 配置
```sh
props:
    treeData: TreeList
    defaultFile?: number
    expandAll?: boolean 
```
##### 数据类型type
```javascript
interface Folder {
  id: number
  isOpen?: boolean
  name: string
  children: TreeList
  isFolder: boolean
  level?: number
  parentId?: number
  [key: string]: any
}

interface File {
  id: number
  name: string
  isFolder?: boolean
  level?: number
  parentId?: number
  [key: string]: any
}

type TreeList = (Folder | File)[]
```
##### 使用范例
```vue
<script setup lang="ts">
import { Tree } from './components'
import type { TreeList } from './components/type'
import './components/global.scss'
const treeData: TreeList = [
  {
    id: 88,
    name: 'Fire fire',
    isFolder: true,
    children: [
      {
        id: 89,
        name: 'good'
      },
      {
        id: 78,
        name: 'Fire fire2',
        isFolder: true,
        children: [
          {
            id: 790,
            name: 'good2'
          }
        ]
      }
    ]
  },
  {
    id: 79,
    name: 'good2'
  },
  {
    id: 80,
    name: 'Fire fire4',
    isFolder: true,
    children: []
  }
]
</script>

<template>
  <div class="tree-template">
    <Tree :treeData="treeData" :defaultFile="79"></Tree>
  </div>
</template>
<style lang="scss">
.tree-template {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 400px;
  left: 0;
  background-color: #fff;
}
</style>


```
##### 范例文件：App.vue


